# opentl::core::util::GaussNewton::GaussNewton::GaussNewtonData_Key_dof_and_featSize Struct Reference

structure for caching individual GN-terms (single features). key = pose dof (left 16bits) AND feature size (right 16bits) More...

List of all members.

## Public Member Functions
| GaussNewtonData_Key_dof_and_featSize (unsigned int _combinedKey)
| ~GaussNewtonData_Key_dof_and_featSize ()
## Public Attributes
unsigned int | dof
| dof = Degrees of of freedom (= optimization parameters)
unsigned int | featSize
| featSize = size of single-feature element
math::Vector | mEi
| mEi = Individual gradient contribution
math::Matrix | mHi
| mHi = Individual Hessian matrix contribution
math::Matrix | mQi
| mQi = Auxiliary matrix (common to gradient and Hessian terms)
math::SquareMatrix | mRinv
| mRinv = Feature invert covariance

## Detailed Description

structure for caching individual GN-terms (single features). key = pose dof (left 16bits) AND feature size (right 16bits)

## Constructor & Destructor Documentation

opentl::core::util::GaussNewton::GaussNewton::GaussNewtonData_Key_dof_and_featSize::GaussNewtonData_Key_dof_and_featSize | ( | unsigned int | _combinedKey | ) | `[inline]`

opentl::core::util::GaussNewton::GaussNewton::GaussNewtonData_Key_dof_and_featSize::~GaussNewtonData_Key_dof_and_featSize | ( |  | ) | `[inline]`

## Member Data Documentation

unsigned int opentl::core::util::GaussNewton::GaussNewton::GaussNewtonData_Key_dof_and_featSize::dof

dof = Degrees of of freedom (= optimization parameters)

unsigned int opentl::core::util::GaussNewton::GaussNewton::GaussNewtonData_Key_dof_and_featSize::featSize

featSize = size of single-feature element

math::Vector opentl::core::util::GaussNewton::GaussNewton::GaussNewtonData_Key_dof_and_featSize::mEi

mEi = Individual gradient contribution

math::Matrix opentl::core::util::GaussNewton::GaussNewton::GaussNewtonData_Key_dof_and_featSize::mHi

mHi = Individual Hessian matrix contribution

math::Matrix opentl::core::util::GaussNewton::GaussNewton::GaussNewtonData_Key_dof_and_featSize::mQi

mQi = Auxiliary matrix (common to gradient and Hessian terms)

math::SquareMatrix opentl::core::util::GaussNewton::GaussNewton::GaussNewtonData_Key_dof_and_featSize::mRinv

mRinv = Feature invert covariance